package com.example.trailsfinal;

import java.util.ArrayList;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.RadioGroup;

public class MainActivity extends Activity {

	public final static String EXTRA_MESSAGE = "com.example.trailsfinal.MESSAGE";
    @Override
    protected void onCreate(Bundle savedInstanceState) {
    	
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    
    public void openTrailsMenu(View view)
    {
    	
    	
    	Intent intent = new Intent(this, TrailsMenuActivity.class);
    	EditText etName = (EditText) findViewById(R.id.participantID);
    	
    	EditText etBirth = (EditText) findViewById(R.id.participantBirthdate);
    	EditText etAge = (EditText) findViewById(R.id.participantAge);
    	EditText etEducation = (EditText) findViewById(R.id.participantEducation);
    	//EditText etGender = (EditText) findViewById(R.id.participantGender);
    	//EditText etHandedness = (EditText) findViewById(R.id.participantHandedness);
    	RadioGroup grg = (RadioGroup)findViewById(R.id.genderRGroup);
    	String genderValue = ((RadioButton)this.findViewById(grg.getCheckedRadioButtonId())).getText().toString();
    	
    	RadioGroup hrg = (RadioGroup)findViewById(R.id.handednessRGroup);
    	String handednessValue = ((RadioButton)this.findViewById(hrg.getCheckedRadioButtonId())).getText().toString();
    	
    	String nameMsg = etName.getText().toString();
    	String birthMsg = etBirth.getText().toString();
    	String ageMsg = etAge.getText().toString();
    	String educationMsg = etEducation.getText().toString();
    	String genderMsg = genderValue;
    	String handednessMsg = handednessValue;
    	
    	
    	ArrayList<String> messages = new ArrayList<String>();
    	
    	messages.add(nameMsg);
    	messages.add(birthMsg);
    	messages.add(ageMsg);
    	messages.add(educationMsg);
    	messages.add(genderMsg);
    	messages.add(handednessMsg);
    	
    	
    	
    	
    	intent.putExtra(EXTRA_MESSAGE, messages);
    	
    	
    	startActivity(intent);
    }
    
}
