package com.example.trailsfinal;

public class NodeTime {
	//index of the last node visited
	//1 is the first node, 0 means that was the start
	private String lastNodeVisited;
	private long enterTimestamp;
	private long exitTimestamp;
	
	private float enterx;
	private float entery;
	
	private float exitx;
	private float exity;
	
	public NodeTime(String lastNode, long enterTime, long exitTime, float X, float Y)
	{
		lastNodeVisited = lastNode;
		enterTimestamp = enterTime;
		exitTimestamp = exitTime;
		enterx = X;
		entery = Y;
		exitx = -1;
		exity = -1;
	}
	
	public float getExitX()
	{
		return exitx;
	}
	
	public float getExitY()
	{
		return exity;
	}
	
	public float getEnterX()
	{
		return enterx;
	}
	
	public float getEnterY()
	{
		return entery;
	}
	
	public String getLastNodeVisited()
	{
		return lastNodeVisited;
	}
	
	public void setLastNodeVisited(String node)
	{
		lastNodeVisited = node;
	}
	
	public long getEnterTimestamp()
	{
		return enterTimestamp;
	}
	
	public void setEnterTimestamp(long time)
	{
		enterTimestamp = time;
	}
	
	public long getExitTimestamp()
	{
		return exitTimestamp;
	}
	
	public void setExitLocation(float x, float y)
	{
		exitx = x;
		exity = y;
	}
	
	public void setExitTimestamp(long time)
	{
		exitTimestamp = time;
	}

}
