package com.example.trailsfinal;

public class RateInfo {
	
	private String startNode;
	private String endNode;
	//locations from edge of node
	private float sx, sy, ex, ey;
	
	//Is it N for inside node or BN for between nodes? but if end node is null that works too
	private String type;
	
	//location from "center" of node??? what if they never go past the center???
	//either center or before the center ???
	
	private float stime =0, etime = 0;
	
	//the actual number of pixels the user drew
	private int pixelsDrawn = 0;
	
	RateInfo(String sn, float startx, float starty, float starttime, String t)
	{
		startNode = sn;
		
		sx = startx;
		sy = starty;

		stime = starttime;
		type = t;

	}
	
	public float getStartX()
	{
		return sx;
	}
	
	public float getStartY()
	{
		return sy;
	}
	
	public float getEndX()
	{
		return ex;
	}
	
	public float getEndY()
	{
		return ey;
	}
	
	public float getTime()
	{
		return (float) ((etime - stime) / 1000000000.0);
	}
	
	public String getType()
	{
		return type;
	}
	
	public int getPixelsDrawn()
	{
		return pixelsDrawn;
	}
	
	public void setPixelsDrawn(int p)
	{
		pixelsDrawn = p;
	}
	
	public void setEndNode(String n)
	{
		endNode = n;
	}
	
	public void setEndTime(float endTime)
	{
		etime = endTime;
	}
	
	public void setEndLocation(float x, float y)
	{
		ex = x;
		ey = y;
	}
	
	public String getStartNode()
	{
		return startNode;
	}
	
	public String getEndNode()
	{
		return endNode;
	}
	
	public float getEndTime()
	{
		return etime;
	}
	
	

}
